import request from '@/utils/request'
import { AxiosPromise } from 'axios'

/**
 * 获取路由列表
 */
export function getMessage() {
	return request({
		url: '/sys/message/inform',
		method: 'get'
		// extraConfig: { showFullscreenLoading: true }
	})
}

export function getMessageInfo(data: any): AxiosPromise {
	return request({
		url: '/sys/message/page',
		method: 'post',
		data
	})
}

export function getMessageInfoById(id: any): AxiosPromise {
	return request({
		url: '/sys/message/get?id=' + id,
		method: 'get'
	})
}
